Package Details: gplugin-hg 2003.b8f1ba3e24fc-1

Git Clone URL: https://aur.archlinux.org/gplugin-hg.git (read-only, click to copy)
Package Base: gplugin-hg
Description: GObject based library that implements a reusable plugin system
Upstream URL: https://keep.imfreedom.org/gplugin/gplugin/
Licenses: LGPL-2.0-or-later
Conflicts: gplugin
Provides: gplugin
Submitter: linkmauve
Maintainer: linkmauve (salinasv, SolarAquarion)
Last Packager: SolarAquarion
Votes: 0
Popularity: 0.000000
First Submitted: 2015-07-03 00:12 (UTC)
Last Updated: 2024-02-02 15:11 (UTC)

Latest Comments

qark commented on 2022-10-10 09:21 (UTC)

meson.build:4:0: ERROR: Unknown options: "perl5"

maxmitti commented on 2021-10-18 13:07 (UTC)

This now also depends on gtk4.

jaywalker commented on 2021-02-23 01:50 (UTC) (edited on 2021-02-23 01:50 (UTC) by jaywalker)

Modifying the line

source=("$_pkgbase::hg+https://keep.imfreedom.org/gplugin/gplugin#branch=develop")

to point to branch default (as develop was deleted some months back) as well as modifying the line

arch-meson build -Dperl=false

to say perl5=false will enable this project to build th development version again. This also fixes the issue where pidgin-hg fails to build.

micwoj92 commented on 2020-09-08 19:53 (UTC)

Hello, could you update upstream URL?

varlow commented on 2020-08-29 19:08 (UTC) (edited on 2020-09-10 02:51 (UTC) by varlow)

perl-glib-object-introspection is a makedepend and runtime dependency for perl plugins.

SolarAquarion commented on 2020-03-27 13:09 (UTC)

vala is a makedepend

timofonic commented on 2017-07-17 21:23 (UTC)

Tom^ from #archlinux @ irc.freenode.net said: so yeah they ditched makefiles for meson And provided this URL: https://bitbucket.org/gplugin/main/src/0fb63f37f37d026f65e6b9c8c51dca52b755423d/INSTALL?at=develop&fileviewer=file-view-default

timofonic commented on 2017-07-17 20:56 (UTC)

Sorry for the lenghty logs. I'm not sure if all it's needed, so I paste all But here's the latest relevant error you can see nearly at end of this message: ==> Starting build()... make: *** No targets specified and no makefile found. Stop. #Why? ==> ERROR: A failure occurred in build(). Aborting... :: failed to build gplugin-hg package(s) [timofonic@timolaptop dwhelper]$ pacaur -S aur/gplugin-hg :: Package gplugin-hg not found in repositories, trying AUR... :: resolving dependencies... :: looking for inter-conflicts... :: gplugin-hg and gplugin are in conflict (gplugin). Remove gplugin? [y/N] y AUR Packages (1) gplugin-hg-latest Repo Packages (1) lua-lgi-0.9.1-1 Repo Download Size: 0.22 MiB Repo Installed Size: 0.65 MiB :: Proceed with installation? [Y/n] y :: Retrieving package(s)... Cloning into 'gplugin-hg'... remote: Counting objects: 4, done. remote: Compressing objects: 100% (4/4), done. remote: Total 4 (delta 0), reused 4 (delta 0) Unpacking objects: 100% (4/4), done. :: View gplugin-hg PKGBUILD? [Y/n] n :: Checking gplugin-hg integrity... ==> Making package: gplugin-hg 993.307728b2f727-1 (Mon Jul 17 22:39:31 CEST 2017) ==> Retrieving sources... -> Cloning gplugin hg repo... applying clone bundle from https://media-api.atlassian.io/file/a7547699-d240-4edf-b7a9-a9f9291c81bc/binary?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiI2OWY4MDk2Yy01Y2JlLTQxZGItYjhmNy0xMDU2MmM5OWNlODAiLCJhY2Nlc3MiOnsidXJuOmZpbGVzdG9yZTpmaWxlOmE3NTQ3Njk5LWQyNDAtNGVkZi1iN2E5LWE5ZjkyOTFjODFiYyI6WyJyZWFkIl19LCJuYmYiOjE1MDAzMjM5MTIsImV4cCI6MTUwMDMyNDMzMn0.H5KDfzd_7Gq1l2ScsnMPns1-927QRV2eGPNQQvLYWjg&client=69f8096c-5cbe-41db-b8f7-10562c99ce80 adding changesets adding manifests adding file changes added 1183 changesets with 2219 changes to 434 files (+8 heads) finished applying clone bundle searching for changes adding changesets adding manifests adding file changes added 6 changesets with 9 changes to 7 files (-1 heads) ==> Validating source files with sha256sums... gplugin ... Skipped :: Building gplugin-hg package(s)... ==> Making package: gplugin-hg 993.307728b2f727-1 (Mon Jul 17 22:39:37 CEST 2017) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Installing missing dependencies... resolving dependencies... looking for conflicting packages... Packages (1) lua-lgi-0.9.1-1 Total Download Size: 0.22 MiB Total Installed Size: 0.65 MiB :: Proceed with installation? [Y/n] :: Retrieving packages... lua-lgi-0.9.1-1-x86_64 226.5 KiB 1390K/s 00:00 [#######################################################################################] 100% (1/1) checking keys in keyring [#######################################################################################] 100% (1/1) checking package integrity [#######################################################################################] 100% (1/1) loading package files [#######################################################################################] 100% (1/1) checking for file conflicts [#######################################################################################] 100% (1/1) checking available disk space [#######################################################################################] 100% :: Processing package changes... (1/1) installing lua-lgi [#######################################################################################] 100% :: Running post-transaction hooks... (1/1) Arming ConditionNeedsUpdate... ==> WARNING: Using existing $srcdir/ tree ==> Starting pkgver()... ==> Updated version: gplugin-hg 1182.0fb63f37f37d-1 ==> Starting build()... make: *** No targets specified and no makefile found. Stop. ==> ERROR: A failure occurred in build(). Aborting... :: lua-lgi is now an orphan package :: failed to build gplugin-hg package(s) # The same error happened when using lua-lgi-git. I just tried it to see if there was some possibility and it got installed successfully :) $ pacaur -S lua-lgi-git :: Package lua-lgi-git not found in repositories, trying AUR... :: resolving dependencies... :: looking for inter-conflicts... :: lua-lgi-git and lua-lgi are in conflict (lua-lgi). Remove lua-lgi? [y/N] y AUR Packages (1) lua-lgi-git-latest :: Proceed with installation? [Y/n] y :: Retrieving package(s)... Cloning into 'lua-lgi-git'... remote: Counting objects: 5, done. remote: Compressing objects: 100% (4/4), done. remote: Total 5 (delta 0), reused 1 (delta 0) Unpacking objects: 100% (5/5), done. :: View lua-lgi-git PKGBUILD? [Y/n] n :: Checking lua-lgi-git integrity... ==> Making package: lua-lgi-git 0.9.1.r26.g93eab44-2 (Mon Jul 17 22:41:03 CEST 2017) ==> Retrieving sources... -> Cloning lgi git repo... Cloning into bare repository '/home/timofonic/.cache/pacaur/lua-lgi-git/lgi'... remote: Counting objects: 6644, done. remote: Total 6644 (delta 0), reused 0 (delta 0), pack-reused 6644 Receiving objects: 100% (6644/6644), 3.38 MiB | 1.65 MiB/s, done. Resolving deltas: 100% (3792/3792), done. ==> Validating source files with md5sums... lgi ... Skipped :: Building lua-lgi-git package(s)... ==> Making package: lua-lgi-git 0.9.1.r26.g93eab44-2 (Mon Jul 17 22:41:08 CEST 2017) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> WARNING: Using existing $srcdir/ tree ==> Starting pkgver()... ==> Starting build()... make -C lgi make[1]: Entering directory '/home/timofonic/.cache/pacaur/lua-lgi-git/src/lgi/lgi' pkg-config --exists 'gobject-introspection-1.0 >= 0.10.8' --print-errors touch .depcheck cc -fPIC -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi-3.2.1/include -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -c -o buffer.o buffer.c cc -fPIC -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi-3.2.1/include -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -c -o callable.o callable.c cc -fPIC -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi-3.2.1/include -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -c -o core.o core.c cc -fPIC -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi-3.2.1/include -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -c -o gi.o gi.c cc -fPIC -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi-3.2.1/include -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -c -o marshal.o marshal.c cc -fPIC -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi-3.2.1/include -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -c -o object.o object.c cc -fPIC -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/libffi-3.2.1/include -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -c -o record.o record.c cc -shared -Wl,-O1,--sort-common,--as-needed,-z,relro -o corelgilua51.so buffer.o callable.o core.o gi.o marshal.o object.o record.o -L/usr/lib/../lib -lgirepository-1.0 -lgobject-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -lffi echo "return '0.9.1'" > version.lua make[1]: Leaving directory '/home/timofonic/.cache/pacaur/lua-lgi-git/src/lgi/lgi' ==> Entering fakeroot environment... ==> Starting package()... make -C lgi install make[1]: Entering directory '/home/timofonic/.cache/pacaur/lua-lgi-git/src/lgi/lgi' mkdir -p /home/timofonic/.cache/pacaur/lua-lgi-git/pkg/lua-lgi-git//usr/lib/lua/5.3/lgi cp corelgilua51.so /home/timofonic/.cache/pacaur/lua-lgi-git/pkg/lua-lgi-git//usr/lib/lua/5.3/lgi mkdir -p /home/timofonic/.cache/pacaur/lua-lgi-git/pkg/lua-lgi-git//usr/share/lua/5.3 cp ../lgi.lua /home/timofonic/.cache/pacaur/lua-lgi-git/pkg/lua-lgi-git//usr/share/lua/5.3 mkdir -p /home/timofonic/.cache/pacaur/lua-lgi-git/pkg/lua-lgi-git//usr/share/lua/5.3/lgi cp package.lua init.lua component.lua class.lua ffi.lua core.lua log.lua version.lua namespace.lua record.lua enum.lua /home/timofonic/.cache/pacaur/lua-lgi-git/pkg/lua-lgi-git//usr/share/lua/5.3/lgi mkdir -p /home/timofonic/.cache/pacaur/lua-lgi-git/pkg/lua-lgi-git//usr/share/lua/5.3/lgi/override cp override/GLib-Source.lua override/GLib-Timer.lua override/Clutter.lua override/Pango.lua override/GObject-Type.lua override/GLib-Markup.lua override/GLib-Bytes.lua override/GObject-Object.lua override/Gio.lua override/GLib.lua override/GObject-Closure.lua override/GooCanvas.lua override/Gtk.lua override/Gdk.lua override/cairo.lua override/Gst.lua override/GObject-Value.lua override/GLib-Error.lua override/Gio-DBus.lua override/GLib-Variant.lua override/PangoCairo.lua /home/timofonic/.cache/pacaur/lua-lgi-git/pkg/lua-lgi-git//usr/share/lua/5.3/lgi/override make[1]: Leaving directory '/home/timofonic/.cache/pacaur/lua-lgi-git/src/lgi/lgi' ==> Tidying install... -> Removing libtool files... -> Purging unwanted files... -> Removing static library files... -> Stripping unneeded symbols from binaries and libraries... -> Compressing man and info pages... ==> Checking for packaging issue... ==> Creating package "lua-lgi-git"... -> Generating .PKGINFO file... -> Generating .BUILDINFO file... -> Generating .MTREE file... -> Compressing package... ==> Leaving fakeroot environment. ==> Finished making: lua-lgi-git 0.9.1.r26.g93eab44-2 (Mon Jul 17 22:41:10 CEST 2017) ==> Cleaning up... :: Installing lua-lgi-git package(s)... loading packages... resolving dependencies... looking for conflicting packages... :: lua-lgi-git and lua-lgi are in conflict. Remove lua-lgi? [y/N] Packages (2) lua-lgi-0.9.1-1 [removal] lua-lgi-git-0.9.1.r26.g93eab44-2 Total Installed Size: 0.72 MiB Net Upgrade Size: 0.08 MiB :: Proceed with installation? [Y/n] (1/1) checking keys in keyring [#######################################################################################] 100% (1/1) checking package integrity [#######################################################################################] 100% (1/1) loading package files [#######################################################################################] 100% (1/1) checking for file conflicts [#######################################################################################] 100% (2/2) checking available disk space [#######################################################################################] 100% :: Processing package changes... (1/1) removing lua-lgi [#######################################################################################] 100% (1/1) installing lua-lgi-git [#######################################################################################] 100% :: Running post-transaction hooks... (1/1) Arming ConditionNeedsUpdate... # But gplugin-hg fails! :( $ pacaur -S aur/gplugin-hg :: Package gplugin-hg not found in repositories, trying AUR... :: resolving dependencies... :: looking for inter-conflicts... :: gplugin-hg and gplugin are in conflict (gplugin). Remove gplugin? [y/N] y AUR Packages (1) gplugin-hg-latest :: Proceed with installation? [Y/n] y :: Retrieving package(s)... :: gplugin-hg build files are up-to-date -- skipping :: Checking gplugin-hg integrity... ==> Making package: gplugin-hg 993.307728b2f727-1 (Mon Jul 17 22:41:35 CEST 2017) ==> Retrieving sources... -> Updating gplugin hg repo... pulling from https://bitbucket.org/gplugin/main searching for changes no changes found ==> Validating source files with sha256sums... gplugin ... Skipped :: Building gplugin-hg package(s)... ==> Making package: gplugin-hg 993.307728b2f727-1 (Mon Jul 17 22:41:39 CEST 2017) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> WARNING: Using existing $srcdir/ tree ==> Starting pkgver()... ==> Updated version: gplugin-hg 1182.0fb63f37f37d-1 ==> Removing existing $pkgdir/ directory... ==> Starting build()... make: *** No targets specified and no makefile found. Stop. ==> ERROR: A failure occurred in build(). Aborting... :: failed to build gplugin-hg package(s)